| Version: 3.3.1

Public Member Functions | List of all members
wxAppProgressIndicator Class Reference
Class List by Category » Miscellaneous

`#include <wx/appprogress.h>`

## Detailed Description

A helper class that can be used to update the progress bar in the taskbar button on Windows and the dock icon on macOS.

##

Library: wxCore
Category: Miscellaneous
Availability: only available for the wxMSW, wxOSX/Cocoa ports.

See also
  wxTaskBarButton

Since
  3.1.0

## Public Member Functions
| wxAppProgressIndicator (wxWindow *parent=nullptr, int maxValue=100)
| Constructs the wxAppProgressIndicator. More...
virtual | ~wxAppProgressIndicator ()
| Destructor, stops displaying progress and returns the indicator to its normal state. More...
bool | IsAvailable () const
| Check if the application progress display is available. More...
void | SetValue (int value)
| Set the progress value in taskbar button of parent window. More...
void | SetRange (int range)
| Set the progress range in taskbar button of parent window. More...
bool | Pulse ()
| Makes the progress bar run in indeterminate mode. More...

## Constructor & Destructor Documentation

## ◆ wxAppProgressIndicator()

wxAppProgressIndicator::wxAppProgressIndicator | ( | wxWindow * | parent = `nullptr`,
|  | int | maxValue = `100`
| ) |  |

Constructs the wxAppProgressIndicator.

Parameters

  parent | The parent window of wxAppProgressIndicator. Note that the window should have its taskbar button showing. If parent is nullptr, the progress will reflect on the taskbar buttons of all the top level windows.
  maxValue | Integer range (maximum value) of the progress indicator.

## ◆ ~wxAppProgressIndicator()

virtual wxAppProgressIndicator::~wxAppProgressIndicator | ( |  | ) |
| virtual

Destructor, stops displaying progress and returns the indicator to its normal state.

## Member Function Documentation

## ◆ IsAvailable()

bool wxAppProgressIndicator::IsAvailable | ( |  | ) | const

Check if the application progress display is available.

Currently, this only returns true under wxMSW or wxOSX.

If this method returns false, no other methods of this class will do anything, but they may still be called without any ill effects.

## ◆ Pulse()

bool wxAppProgressIndicator::Pulse | ( |  | ) |

Makes the progress bar run in indeterminate mode.

## ◆ SetRange()

void wxAppProgressIndicator::SetRange | ( | int | range | ) |

Set the progress range in taskbar button of parent window.

## ◆ SetValue()

void wxAppProgressIndicator::SetValue | ( | int | value | ) |

Set the progress value in taskbar button of parent window.

Parameters

  value | The new value of the progress meter. It should be less than or equal to the range.